function out = model
%
% sweep_stimulation_intensity.m
%
% Model exported on Mar 29 2018, 17:30 by COMSOL 5.3.0.223.

import com.comsol.model.*
import com.comsol.model.util.*

model = ModelUtil.create('Model');

model.modelPath('G:\peerj20180228\raw data 0329\raw data\simulation files');

model.comments(['Untitled\n\n']);

model.component.create('comp1', true);

model.component('comp1').geom.create('geom1', 3);

model.component('comp1').mesh.create('mesh1');

model.component('comp1').physics.create('ec', 'ConductiveMedia', 'geom1');
model.component('comp1').physics.create('ht', 'BioHeat', 'geom1');

model.study.create('std1');
model.study('std1').create('time', 'Transient');
model.study('std1').feature('time').activate('ec', true);
model.study('std1').feature('time').activate('ht', true);

model.param.set('sigsc', '0.0025');
model.param.set('elesize', '1[cm]');
model.param.set('inputcurrent', '20[mA]');
model.param.set('r_sc', '0');
model.param.set('r_sg', '0');
model.param.set('r_dermis', '0.025');
model.param.set('r_fat', '0.00125');
model.param.set('r_abd', '0.00125');
model.param.set('r_bone', '0.0003');
model.param.set('r_muscle', '0.000167');
model.param.set('r_epidural', '0.0035');
model.param.set('r_csf', '0');
model.param.set('r_wm', '0.012');
model.param.set('r_gm', '0.012');
model.param.set('q_sc', '368.1');
model.param.set('q_sg', '368.1');
model.param.set('q_dermis', '368.1');
model.param.set('q_fat', '368.3');
model.param.set('q_abd', '180');
model.param.set('q_bone', '368.3');
model.param.set('q_muscle', '690');
model.param.set('q_epidural', '368.3');
model.param.set('q_csf', '0');
model.param.set('q_wm', '10000');
model.param.set('q_gm', '10000');
model.param.set('sigele', '1.35e6[S/m]');

model.component('comp1').geom('geom1').create('imp1', 'Import');
model.component('comp1').geom('geom1').feature('imp1').set('filename', 'G:\peerj20180228\raw data 0329\raw data\model files\Effect of tissue thickness\dermis\dermis 1.5mm.mphbin');
model.component('comp1').geom('geom1').feature('imp1').importData;
model.component('comp1').geom('geom1').run('fin');

model.component('comp1').selection.create('sel1', 'Explicit');
model.component('comp1').selection('sel1').label('SC');
model.component('comp1').selection('sel1').set([1 2 10 17 27 34]);
model.component('comp1').selection.create('sel2', 'Explicit');
model.component('comp1').selection('sel2').label('ED');
model.component('comp1').selection('sel2').set([3 4 11 16 28 33]);
model.component('comp1').selection.create('sel3', 'Explicit');
model.component('comp1').selection('sel3').label('Dermis');
model.component('comp1').selection('sel3').set([5 6 12 15 29 32]);
model.component('comp1').selection.create('sel4', 'Explicit');
model.component('comp1').selection('sel4').label('Fat');
model.component('comp1').selection('sel4').set([7 8 13 14 30 31]);
model.component('comp1').selection.create('sel5', 'Explicit');
model.component('comp1').selection('sel5').label('Abd');
model.component('comp1').selection('sel5').set([9]);
model.component('comp1').selection.create('sel6', 'Explicit');
model.component('comp1').selection('sel6').label('Bone');
model.component('comp1').selection('sel6').set([19]);
model.component('comp1').selection.create('sel7', 'Explicit');
model.component('comp1').selection('sel7').label('Muscle');
model.component('comp1').selection('sel7').set([18 26]);
model.component('comp1').selection.create('sel8', 'Explicit');
model.component('comp1').selection('sel8').label('Epidural fat');
model.component('comp1').selection('sel8').set([21]);
model.component('comp1').selection.create('sel9', 'Explicit');
model.component('comp1').selection('sel9').label('CSF');
model.component('comp1').selection('sel9').set([22]);
model.component('comp1').selection.create('sel10', 'Explicit');
model.component('comp1').selection('sel10').label('GM');
model.component('comp1').selection('sel10').set([25]);
model.component('comp1').selection.create('sel11', 'Explicit');
model.component('comp1').selection('sel11').label('WM');
model.component('comp1').selection('sel11').set([24]);
model.component('comp1').selection.create('sel12', 'Explicit');
model.component('comp1').selection('sel12').label('Electrodes');
model.component('comp1').selection('sel12').set([20 23]);
model.component('comp1').selection.create('sel13', 'Explicit');
model.component('comp1').selection('sel13').label('GND');
model.component('comp1').selection('sel13').geom(2);
model.component('comp1').selection('sel13').set([83 85 86 87 200]);
model.component('comp1').selection.create('sel14', 'Explicit');
model.component('comp1').selection('sel14').label('Skin');
model.component('comp1').selection('sel14').geom(2);
model.component('comp1').selection('sel14').set([2 3 34 66 208 240]);

model.component('comp1').material.create('mat1', 'Common');
model.component('comp1').material('mat1').label('SC');
model.component('comp1').material('mat1').propertyGroup('def').set('thermalconductivity', {'0.235' '0' '0' '0' '0.235' '0' '0' '0' '0.235'});
model.component('comp1').material('mat1').propertyGroup('def').set('density', '1500');
model.component('comp1').material('mat1').propertyGroup('def').set('heatcapacity', '3600');
model.component('comp1').material('mat1').propertyGroup('def').set('electricconductivity', {'sigsc' '0' '0' '0' 'sigsc' '0' '0' '0' 'sigsc'});
model.component('comp1').material('mat1').propertyGroup('def').set('relpermittivity', {'1500' '0' '0' '0' '1500' '0' '0' '0' '1500'});
model.component('comp1').material('mat1').set('family', 'plastic');
model.component('comp1').material.create('mat2', 'Common');
model.component('comp1').material('mat2').label('SG');
model.component('comp1').material('mat2').propertyGroup('def').set('thermalconductivity', {'0.235' '0' '0' '0' '0.235' '0' '0' '0' '0.235'});
model.component('comp1').material('mat2').propertyGroup('def').set('density', '1190');
model.component('comp1').material('mat2').propertyGroup('def').set('heatcapacity', '3600');
model.component('comp1').material('mat2').propertyGroup('def').set('electricconductivity', {'0.15' '0' '0' '0' '0.15' '0' '0' '0' '0.15'});
model.component('comp1').material('mat2').propertyGroup('def').set('relpermittivity', {'100000' '0' '0' '0' '100000' '0' '0' '0' '100000'});
model.component('comp1').material('mat2').set('family', 'plastic');
model.component('comp1').material.create('mat3', 'Common');
model.component('comp1').material('mat3').label('Dermis');
model.component('comp1').material('mat3').propertyGroup('def').set('thermalconductivity', {'0.445' '0' '0' '0' '0.445' '0' '0' '0' '0.445'});
model.component('comp1').material('mat3').propertyGroup('def').set('density', '1116');
model.component('comp1').material('mat3').propertyGroup('def').set('heatcapacity', '3300');
model.component('comp1').material('mat3').propertyGroup('def').set('electricconductivity', {'1.62' '0' '0' '0' '1.62' '0' '0' '0' '1.62'});
model.component('comp1').material('mat3').propertyGroup('def').set('relpermittivity', {'31.3' '0' '0' '0' '31.3' '0' '0' '0' '31.3'});
model.component('comp1').material('mat3').set('family', 'plastic');
model.component('comp1').material.create('mat4', 'Common');
model.component('comp1').material('mat4').label('Fat');
model.component('comp1').material('mat4').propertyGroup('def').set('thermalconductivity', {'0.185' '0' '0' '0' '0.185' '0' '0' '0' '0.185'});
model.component('comp1').material('mat4').propertyGroup('def').set('density', '971');
model.component('comp1').material('mat4').propertyGroup('def').set('heatcapacity', '2700');
model.component('comp1').material('mat4').propertyGroup('def').set('electricconductivity', {'0.04' '0' '0' '0' '0.04' '0' '0' '0' '0.04'});
model.component('comp1').material('mat4').propertyGroup('def').set('relpermittivity', {'1085' '0' '0' '0' '1085' '0' '0' '0' '1085'});
model.component('comp1').material('mat4').set('family', 'plastic');
model.component('comp1').material.create('mat5', 'Common');
model.component('comp1').material('mat5').label('Abdomen');
model.component('comp1').material('mat5').propertyGroup('def').set('thermalconductivity', {'0.52' '0' '0' '0' '0.52' '0' '0' '0' '0.52'});
model.component('comp1').material('mat5').propertyGroup('def').set('density', '1079');
model.component('comp1').material('mat5').propertyGroup('def').set('heatcapacity', '3540');
model.component('comp1').material('mat5').propertyGroup('def').set('electricconductivity', {'0.25' '0' '0' '0' '0.25' '0' '0' '0' '0.25'});
model.component('comp1').material('mat5').propertyGroup('def').set('relpermittivity', {'85673' '0' '0' '0' '85673' '0' '0' '0' '85673'});
model.component('comp1').material('mat5').set('family', 'plastic');
model.component('comp1').material.create('mat6', 'Common');
model.component('comp1').material('mat6').label('Vertebra');
model.component('comp1').material('mat6').propertyGroup('def').set('thermalconductivity', {'0.3' '0' '0' '0' '0.3' '0' '0' '0' '0.3'});
model.component('comp1').material('mat6').propertyGroup('def').set('density', '1810');
model.component('comp1').material('mat6').propertyGroup('def').set('heatcapacity', '1300');
model.component('comp1').material('mat6').propertyGroup('def').set('electricconductivity', {'0.0285' '0' '0' '0' '0.0285' '0' '0' '0' '0.0285'});
model.component('comp1').material('mat6').propertyGroup('def').set('relpermittivity', {'106' '0' '0' '0' '106' '0' '0' '0' '106'});
model.component('comp1').material('mat6').set('family', 'plastic');
model.component('comp1').material.create('mat7', 'Common');
model.component('comp1').material('mat7').label('Muscle');
model.component('comp1').material('mat7').propertyGroup('def').set('thermalconductivity', {'0.498' '0' '0' '0' '0.498' '0' '0' '0' '0.498'});
model.component('comp1').material('mat7').propertyGroup('def').set('density', '1040');
model.component('comp1').material('mat7').propertyGroup('def').set('heatcapacity', '3600');
model.component('comp1').material('mat7').propertyGroup('def').set('electricconductivity', {'0.08' '0' '0' '0' '0.08' '0' '0' '0' '0.5'});
model.component('comp1').material('mat7').propertyGroup('def').set('relpermittivity', {'826' '0' '0' '0' '826' '0' '0' '0' '826'});
model.component('comp1').material('mat7').set('family', 'plastic');
model.component('comp1').material.create('mat8', 'Common');
model.component('comp1').material('mat8').label('Epidural fat');
model.component('comp1').material('mat8').propertyGroup('def').set('thermalconductivity', {'0.21' '0' '0' '0' '0.21' '0' '0' '0' '0.21'});
model.component('comp1').material('mat8').propertyGroup('def').set('density', '971');
model.component('comp1').material('mat8').propertyGroup('def').set('heatcapacity', '2700');
model.component('comp1').material('mat8').propertyGroup('def').set('electricconductivity', {'0.04' '0' '0' '0' '0.04' '0' '0' '0' '0.04'});
model.component('comp1').material('mat8').propertyGroup('def').set('relpermittivity', {'1085' '0' '0' '0' '1085' '0' '0' '0' '1085'});
model.component('comp1').material('mat8').set('family', 'plastic');
model.component('comp1').material.create('mat9', 'Common');
model.component('comp1').material('mat9').label('CSF');
model.component('comp1').material('mat9').propertyGroup('def').set('thermalconductivity', {'0.623' '0' '0' '0' '0.623' '0' '0' '0' '0.623'});
model.component('comp1').material('mat9').propertyGroup('def').set('density', '1000.3');
model.component('comp1').material('mat9').propertyGroup('def').set('heatcapacity', '4178.3');
model.component('comp1').material('mat9').propertyGroup('def').set('electricconductivity', {'1.7' '0' '0' '0' '1.7' '0' '0' '0' '1.7'});
model.component('comp1').material('mat9').propertyGroup('def').set('relpermittivity', {'109' '0' '0' '0' '109' '0' '0' '0' '109'});
model.component('comp1').material('mat9').set('family', 'plastic');
model.component('comp1').material.create('mat10', 'Common');
model.component('comp1').material('mat10').label('GM');
model.component('comp1').material('mat10').propertyGroup('def').set('thermalconductivity', {'0.565' '0' '0' '0' '0.565' '0' '0' '0' '0.565'});
model.component('comp1').material('mat10').propertyGroup('def').set('density', '1039');
model.component('comp1').material('mat10').propertyGroup('def').set('heatcapacity', '3680');
model.component('comp1').material('mat10').propertyGroup('def').set('electricconductivity', {'0.23' '0' '0' '0' '0.23' '0' '0' '0' '0.23'});
model.component('comp1').material('mat10').propertyGroup('def').set('relpermittivity', {'656.5' '0' '0' '0' '656.5' '0' '0' '0' '656.5'});
model.component('comp1').material('mat10').set('family', 'plastic');
model.component('comp1').material.create('mat11', 'Common');
model.component('comp1').material('mat11').label('WM');
model.component('comp1').material('mat11').propertyGroup('def').set('thermalconductivity', {'0.503' '0' '0' '0' '0.503' '0' '0' '0' '0.503'});
model.component('comp1').material('mat11').propertyGroup('def').set('density', '1043');
model.component('comp1').material('mat11').propertyGroup('def').set('heatcapacity', '3600');
model.component('comp1').material('mat11').propertyGroup('def').set('electricconductivity', {'0.083' '0' '0' '0' '0.083' '0' '0' '0' '0.6'});
model.component('comp1').material('mat11').propertyGroup('def').set('relpermittivity', {'340.6' '0' '0' '0' '340.6' '0' '0' '0' '340.6'});
model.component('comp1').material('mat11').set('family', 'plastic');
model.component('comp1').material.create('mat12', 'Common');
model.component('comp1').material('mat12').label('Electrode');
model.component('comp1').material('mat12').propertyGroup('def').set('thermalconductivity', {'20' '0' '0' '0' '20' '0' '0' '0' '20'});
model.component('comp1').material('mat12').propertyGroup('def').set('density', '7861');
model.component('comp1').material('mat12').propertyGroup('def').set('heatcapacity', '500');
model.component('comp1').material('mat12').propertyGroup('def').set('electricconductivity', {'sigele' '0' '0' '0' 'sigele' '0' '0' '0' 'sigele'});
model.component('comp1').material('mat12').propertyGroup('def').set('relpermittivity', {'1' '0' '0' '0' '1' '0' '0' '0' '1'});
model.component('comp1').material('mat12').set('family', 'plastic');
model.component('comp1').material('mat1').selection.named('sel1');
model.component('comp1').material('mat2').selection.named('sel2');
model.component('comp1').material('mat3').selection.named('sel3');
model.component('comp1').material('mat4').selection.named('sel4');
model.component('comp1').material('mat5').selection.named('sel5');
model.component('comp1').material('mat6').selection.named('sel6');
model.component('comp1').material('mat7').selection.named('sel7');
model.component('comp1').material('mat8').selection.named('sel8');
model.component('comp1').material('mat9').selection.named('sel9');
model.component('comp1').material('mat10').selection.named('sel10');
model.component('comp1').material('mat11').selection.named('sel11');
model.component('comp1').material('mat12').selection.named('sel12');

model.component('comp1').physics('ec').create('ncd1', 'NormalCurrentDensity', 2);
model.component('comp1').physics('ec').feature('ncd1').selection.set([120]);
model.component('comp1').physics('ec').feature('ncd1').set('nJ', 'inputcurrent/(elesize^2)');
model.component('comp1').physics('ec').create('gnd1', 'Ground', 2);
model.component('comp1').physics('ec').feature('gnd1').selection.named('sel13');
model.component('comp1').physics('ht').feature('bt1').create('bh2', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh3', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh4', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh5', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh6', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh7', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh8', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh9', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh10', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').create('bh11', 'Bioheat', 3);
model.component('comp1').physics('ht').feature('bt1').feature('bh11').selection.named('sel10');
model.component('comp1').physics('ht').feature('bt1').feature('bh11').label('GM');
model.component('comp1').physics('ht').feature('bt1').feature('bh11').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh11').set('omegab', 'r_gm');
model.component('comp1').physics('ht').feature('bt1').feature('bh11').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh11').set('Qmet', 'q_gm');
model.component('comp1').physics('ht').feature('bt1').feature('bh10').label('WM');
model.component('comp1').physics('ht').feature('bt1').feature('bh10').selection.named('sel11');
model.component('comp1').physics('ht').feature('bt1').feature('bh10').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh10').set('omegab', 'r_wm');
model.component('comp1').physics('ht').feature('bt1').feature('bh10').set('Qmet', 'q_wm');
model.component('comp1').physics('ht').feature('bt1').feature('bh10').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh9').label('CSF');
model.component('comp1').physics('ht').feature('bt1').feature('bh9').selection.named('sel9');
model.component('comp1').physics('ht').feature('bt1').feature('bh9').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh9').set('omegab', 'r_csf');
model.component('comp1').physics('ht').feature('bt1').feature('bh9').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh9').set('Qmet', 'q_csf');
model.component('comp1').physics('ht').feature('bt1').feature('bh9').label('Epidural fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh9').label('CSF');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').label('Epidural fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').selection.named('sel8');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').set('omegab', 'r_epidural');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').set('Qmet', 'q_epidural');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh8').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh8').label('Muscle');
model.component('comp1').physics('ht').feature('bt1').feature('bh8').label('Epidural fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh7').label('Muscle');
model.component('comp1').physics('ht').feature('bt1').feature('bh7').selection.named('sel7');
model.component('comp1').physics('ht').feature('bt1').feature('bh7').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh7').set('omegab', 'r_muscle');
model.component('comp1').physics('ht').feature('bt1').feature('bh7').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh7').set('Qmet', 'q_muscle');
model.component('comp1').physics('ht').feature('bt1').feature('bh6').label('Vertebrae');
model.component('comp1').physics('ht').feature('bt1').feature('bh6').selection.named('sel6');
model.component('comp1').physics('ht').feature('bt1').feature('bh6').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh6').set('omegab', 'r_bone');
model.component('comp1').physics('ht').feature('bt1').feature('bh6').set('Qmet', 'q_bone');
model.component('comp1').physics('ht').feature('bt1').feature('bh6').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh5').label('Abd');
model.component('comp1').physics('ht').feature('bt1').feature('bh5').selection.named('sel5');
model.component('comp1').physics('ht').feature('bt1').feature('bh5').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh5').set('omegab', 'r_abd');
model.component('comp1').physics('ht').feature('bt1').feature('bh5').set('Qmet', 'q_abd');
model.component('comp1').physics('ht').feature('bt1').feature('bh5').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh4').label('Fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh4').selection.named('sel4');
model.component('comp1').physics('ht').feature('bt1').feature('bh4').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh4').set('omegab', 'r_fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh4').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh4').set('Qmet', 'q_fat');
model.component('comp1').physics('ht').feature('bt1').feature('bh3').label('Dermis');
model.component('comp1').physics('ht').feature('bt1').feature('bh3').selection.named('sel3');
model.component('comp1').physics('ht').feature('bt1').feature('bh3').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh3').set('omegab', 'r_dermis');
model.component('comp1').physics('ht').feature('bt1').feature('bh3').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh3').set('Qmet', 'q_dermis');
model.component('comp1').physics('ht').feature('bt1').feature('bh2').label('ED');
model.component('comp1').physics('ht').feature('bt1').feature('bh2').selection.named('sel2');
model.component('comp1').physics('ht').feature('bt1').feature('bh2').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh2').set('omegab', 'r_sg');
model.component('comp1').physics('ht').feature('bt1').feature('bh2').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh2').set('Qmet', 'q_sg');
model.component('comp1').physics('ht').feature('bt1').feature('bh1').label('SC');
model.component('comp1').physics('ht').feature('bt1').feature('bh1').set('Cp_b', 3600);
model.component('comp1').physics('ht').feature('bt1').feature('bh1').set('omegab', 'r_sc');
model.component('comp1').physics('ht').feature('bt1').feature('bh1').set('rhobl', 1057);
model.component('comp1').physics('ht').feature('bt1').feature('bh1').set('Qmet', 'q_sc');
model.component('comp1').physics('ht').create('solid1', 'SolidHeatTransferModel', 3);
model.component('comp1').physics('ht').feature('solid1').selection.named('sel12');
model.component('comp1').physics('ht').create('hs1', 'HeatSource', 3);
model.component('comp1').physics('ht').feature('hs1').selection.set([1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 21 22 24 25 26 27 28 29 30 31 32 33 34]);
model.component('comp1').physics('ht').feature('hs1').set('Q0', 1.8);
model.component('comp1').physics('ht').feature('hs1').set('Q0_src', 'root.comp1.ec.Qh');
model.component('comp1').physics('ht').create('hf1', 'HeatFluxBoundary', 2);
model.component('comp1').physics('ht').feature('hf1').label('Heat Flux 1 skin');
model.component('comp1').physics('ht').feature('hf1').selection.named('sel14');
model.component('comp1').physics('ht').feature('hf1').set('HeatFluxType', 'ConvectiveHeatFlux');
model.component('comp1').physics('ht').feature('hf1').set('h', 1.86);
model.component('comp1').physics('ht').feature('hf1').set('Text', '298.15[K]');
model.component('comp1').physics('ht').create('hf2', 'HeatFluxBoundary', 2);
model.component('comp1').physics('ht').feature('hf2').set('HeatFluxType', 'ConvectiveHeatFlux');
model.component('comp1').physics('ht').feature('hf2').set('h', 7.9);
model.component('comp1').physics('ht').feature('hf2').set('Text', '298.15[K]');
model.component('comp1').physics('ht').feature('hf2').selection.set([83 85 86 87 119 120 121 122 174 200]);

model.component('comp1').multiphysics.create('emh1', 'ElectromagneticHeatSource', 3);
model.component('comp1').multiphysics('emh1').selection.all;
model.component('comp1').multiphysics.create('bemh1', 'BoundaryElectromagneticHeatSource', 2);
model.component('comp1').multiphysics('bemh1').selection.all;
model.component('comp1').multiphysics.create('tc1', 'TemperatureCoupling', -1);

model.component('comp1').mesh('mesh1').create('ftet1', 'FreeTet');
model.component('comp1').mesh('mesh1').feature('ftet1').selection.geom('geom1', 3);
model.component('comp1').mesh('mesh1').feature('ftet1').selection.named('sel12');
model.component('comp1').mesh('mesh1').feature('ftet1').create('size1', 'Size');
model.component('comp1').mesh('mesh1').feature('ftet1').feature('size1').set('hauto', 3);
model.component('comp1').mesh('mesh1').create('ftri1', 'FreeTri');
model.component('comp1').mesh('mesh1').feature('ftri1').selection.named('sel14');
model.component('comp1').mesh('mesh1').feature('ftri1').create('size1', 'Size');
model.component('comp1').mesh('mesh1').feature('ftri1').feature('size1').set('table', 'cfd');
model.component('comp1').mesh('mesh1').feature('ftri1').feature('size1').set('hauto', 2);
model.component('comp1').mesh('mesh1').feature('ftri1').feature('size1').set('custom', true);
model.component('comp1').mesh('mesh1').feature('ftri1').feature('size1').set('hmaxactive', true);
model.component('comp1').mesh('mesh1').feature('ftri1').feature('size1').set('hmax', 0.005);
model.component('comp1').mesh('mesh1').create('swe1', 'Sweep');
model.component('comp1').mesh('mesh1').feature('swe1').selection.geom('geom1', 3);
model.component('comp1').mesh('mesh1').feature('swe1').selection.named('sel1');
model.component('comp1').mesh('mesh1').feature('swe1').selection('sourceface').set([2 3 34 66 84 123 208 240]);
model.component('comp1').mesh('mesh1').feature('swe1').selection('targetface').set([9 10 38 63 212 237]);
model.component('comp1').mesh('mesh1').feature('swe1').create('dis1', 'Distribution');
model.component('comp1').mesh('mesh1').feature('swe1').feature('dis1').set('numelem', 4);
model.component('comp1').mesh('mesh1').create('swe2', 'Sweep');
model.component('comp1').mesh('mesh1').feature('swe2').selection.geom('geom1', 3);
model.component('comp1').mesh('mesh1').feature('swe2').selection.named('sel2');
model.component('comp1').mesh('mesh1').feature('swe2').selection('sourceface').set([9 10 38 63 212 237]);
model.component('comp1').mesh('mesh1').feature('swe2').selection('targetface').set([16 17 42 59 216 233]);
model.component('comp1').mesh('mesh1').feature('swe2').create('dis1', 'Distribution');
model.component('comp1').mesh('mesh1').feature('swe2').feature('dis1').set('numelem', 16);
model.component('comp1').mesh('mesh1').create('ftet2', 'FreeTet');
model.component('comp1').mesh('mesh1').feature('ftet2').selection.geom('geom1', 3);
model.component('comp1').mesh('mesh1').feature('ftet2').selection.set([5 6 7 8 9 12 13 14 15 18 19 21 22 24 25 26 29 30 31 32]);
model.component('comp1').mesh('mesh1').feature('ftet2').create('size1', 'Size');
model.component('comp1').mesh('mesh1').feature('ftet2').feature('size1').set('hauto', 4);
model.component('comp1').mesh('mesh1').run;


model.study('std1').feature('time').set('tlist', 'range(0,10,900)');

out = model;
